package com.ericfeminella.examples.business
{
	import com.ericfeminella.examples.model.domain.ContactVO;
	import com.ericfeminella.sql.ISQLStatementCache;
	import com.ericfeminella.sql.PreparedStatement;
	import flash.data.SQLConnection;
	
	/**
	 * 
	 * Defines each reusable <code>PreparedStatement</code> instance which
	 * are to be reused throughout the application.
	 * 
	 */
	internal class ContactsSQLStatements implements ISQLStatementCache
	{
		public var createContactsTableStatement:PreparedStatement;
		public var selectedContactsStatement:PreparedStatement;
		public var insertContactStatement:PreparedStatement;
		public var selectedContactStatement:PreparedStatement;
		public var updateContactStatement:PreparedStatement;
		public var deleteContactStatement:PreparedStatement;
		
		public function ContactsSQLStatements(connection:SQLConnection)
		{
			var statement:String;
			
			statement = "CREATE TABLE IF NOT EXISTS [contacts] " + 
					                              "([contactId] INTEGER PRIMARY KEY, "   + 
					                              " [firstName] VARCHAR(255) NOT NULL, " + 
					                              " [lastName] VARCHAR(255) NOT NULL, "  + 
					                              " [emailAddress] VARCHAR(255) NOT NULL )";
					                                                          
			createContactsTableStatement = new PreparedStatement( statement, connection, ContactVO );
			                          
			statement =  "SELECT * FROM contacts"; 
            selectedContactsStatement = new PreparedStatement( statement, connection, ContactVO );
            
			statement = "INSERT INTO contacts VALUES(NULL,?,?,?)";
			insertContactStatement = new PreparedStatement( statement, connection, ContactVO );
			
			statement = "SELECT FROM contacts WHERE contactId=?";
			selectedContactStatement = new PreparedStatement( statement, connection, ContactVO );
			
			statement = "UPDATE contacts SET firstName=?,lastName=?,emailAddress=? WHERE contactId=?";
			updateContactStatement = new PreparedStatement( statement, connection, ContactVO );
			
			statement = "DELETE FROM contacts WHERE contactId=?";
			deleteContactStatement = new PreparedStatement( statement, connection, ContactVO );
		}
	}
}
