package com.ericfeminella.examples.model.presentation
{
	import com.ericfeminella.examples.business.ContactDAOFactory;
	import com.ericfeminella.examples.business.IContactDAO;
	import com.ericfeminella.examples.model.domain.ContactVO;
	import com.ericfeminella.examples.model.domain.IContact;
	import mx.collections.ArrayCollection;
	
	[Bindable]
	public class ContactsModel
	{		
		public var contacts:ArrayCollection;
		public var selectedContact:IContact;
		private var dao:IContactDAO;
		
		public function ContactsModel()
		{
			dao = ContactDAOFactory.getContactDAO();
			contacts = dao.getContacts();
		}
		
		public function createNewContact(firstName:String, lastName:String, emailAddress:String) : void
		{
			var contact:IContact = new ContactVO( firstName, lastName, emailAddress );
			
			dao.createContact( contact );
			refresh();
		}
						
		public function deleteContact() : void
		{
			dao.deleteContact( selectedContact );
			refresh();
		}
		
		private function refresh() : void
		{
			selectedContact = null;
			contacts = dao.getContacts();
		}
	}
}
